Bug 182319 - Review Request: anjuta-gdl
Review Request: anjuta-gdl
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT 182320
  Show dependency treegraph
 
Reported: 2006-02-21 15:25 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 17:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to the spec (1.69 KB, patch)
2006-04-23 03:18 EDT, Ralf Corsepius
no flags Details | Diff
spec patch (CVS) (866 bytes, patch)
2006-07-09 08:11 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-02-21 15:25:03 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl-0.6.0-2.src.rpm
Description: 

This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-build and anjuta2.

It has been renamed anjuta-gdl (by me) as there is already a package called gdl which is not part of the gnome dev tools
Comment 1 John Mahowald 2006-02-26 16:47:11 EST
Build failed on rawhide. 

checking for libxml-2.0 >= 2.2.8... Package libxml-2.0 was not found in the
pkg-config search path.

Also, the spec has many Requires and no BuildRequires. Really it should be the
other way around, with *-devel packages in BuildRequires rpm will figure out the
Requires.

* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
Comment 3 Paul F. Johnson 2006-04-13 19:28:27 EDT
ping!
Comment 4 John Mahowald 2006-04-22 18:33:18 EDT
Close! Needs libxml2-devel though. Still don't build:

checking for libxml-2.0 >= 2.2.8... Package libxml-2.0 was not found in the
pkg-config search path.

This should be the case for the others, change all your BuildRequires to *-devel.

Also, use the %find_lang macro for locales.
Comment 5 Paul F. Johnson 2006-04-22 18:51:58 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl-0.6.0-4.src.rpm
Description: 

%find_lang reports that there is nothing to find.
Changed the BRs to -devel
Added a couple of Reqs
Fixed a small fault that caused a problem on the x86 box for no apparent reason!

Comment 6 Ralf Corsepius 2006-04-23 03:16:01 EDT
Several issues:

1. The reason for your problems with find_lang is you not correctly using
%find_lang.

You will want something similar to this:
%install
...
%find_lang gdl-1
...
%files -f gdl-1.lang
...

2. AFAIS, this package doesn't need nor use libglade. 
It seems to use libglade2.

3. I don't see why this package should explicitly
Requires: gtk2

4. Use %configure --disable-shared instead removing *.as

5. Terminating 'dot' at the end of Summary-lines

1+2 are blockers, 3+4 are minor issues, 5 is FE-stylishness.

On top of that, I am pretty sure the *-devel package misses many deps on other
*-devel packages.
Comment 7 Ralf Corsepius 2006-04-23 03:18:01 EDT
Created attachment 128125 [details]
Proposed patch to the spec
Comment 8 Paul F. Johnson 2006-04-23 09:17:50 EDT
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/anjuta-gdl-0.6.0-5.src.rpm
Description: 

Fixes as proposed
Comment 9 John Mahowald 2006-04-23 17:35:24 EDT
Good:

- rpmlint checks return:
W: anjuta-gdl one-line-command-in-%post /sbin/ldconfig
W: anjuta-gdl one-line-command-in-%postun /sbin/ldconfig
W: anjuta-gdl-debuginfo objdump-failed
E: anjuta-gdl-debuginfo script-without-shellbang
/usr/src/debug/gdl-0.6.0/gdl/gdl-recent.h
E: anjuta-gdl-debuginfo script-without-shellbang
/usr/src/debug/gdl-0.6.0/gdl/gdl-recent.c
E: anjuta-gdl-devel only-non-binary-in-usr-lib
W: anjuta-gdl-devel no-documentation

None of these are blockers.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales handled by %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED
Comment 10 Michael Schwendt 2006-07-08 08:11:55 EDT
* Missing -devel package dependencies! Notice the "Requires" line
in the pkgconfig file. You have a broken pkgconfig dependency chain
there. The C headers also include missing headers. Add the required
-devel packages as dependencies of your anjuta-gdl-devel package.

* Prefer "Requires: %{name} = %{version}-%{release} in your -devel
package, so main package and -devel package are in sync as much as
possible.


> post/postun ldconfig ok

When there's no scriptlet body, prefer:

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

That adds automatic dependencies on /sbin/ldconfig, too.
Else, add the missing dependencies manually:

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Comment 11 Paul F. Johnson 2006-07-08 12:33:13 EDT
#10, thanks. I'll get that fixed tonight and it should be out for the next push
(probably Sunday)
Comment 12 Michael Schwendt 2006-07-09 08:11:24 EDT
Created attachment 132128 [details]
spec patch (CVS)

Not fixed yet. Let me try to rephrase:

Your anjuta-gdl-devel package is missing several "Requires". You
need to make it depend on other -devel package, which are needed by
/usr/lib/pkgconfig/gdl-1.0.pc (notice the Requires line in there!)
and the C headers (notice which files from other packages they
"#include").

To find the other packages which provide the pkgconfig files, you
can do, for example:

$ repoquery --whatprovides /usr/lib/pkgconfig/libbonoboui-2.0.pc
/usr/lib/pkgconfig/libgnome-2.0.pc /usr/lib/pkgconfig/gtk+-2.0.pc
/usr/lib/pkgconfig/libxml-2.0.pc /usr/lib/pkgconfig/libglade-2.0.pc
libbonoboui-devel-0:2.14.0-3.i386
libgnome-devel-0:2.14.1-4.i386
gtk2-devel-0:2.10.0-1.i386
libxml2-devel-0:2.6.26-2.i386
libglade2-devel-0:2.5.1-5.i386

and then make your anjuta-gdl-devel package "Requires" these packages.
See attached patch.

The change related to /sbin/ldconfig was an "either or". With "-p" the
dependency on /sbin/ldconfig is _automatic_.
Comment 13 Paul F. Johnson 2006-07-09 08:20:45 EDT
Thanks for the clarification. 0.6.1-4 should be in the next push

Note You need to log in before you can comment on or make changes to this bug.